Get deposit history
GET/depositHistory
Returns all past deposits for your account.
This is a private endpoint. To send requests, you need to authenticate.
Rate limit weight points: 5
Request
Query Parameters
The asset for which to return the deposit history. If not specified, all deposits are returned.
Possible values: >= 1 and <= 1000
The maximum number of deposits to return, from latest to earliest.
500Possible values: >= 0
The Unix timestamp starting from which to return deposits.
Possible values: <= 8640000000000000
The Unix timestamp up to which to return deposits.
Responses
- 200
- 4XX
The request was successful.
- application/json
- Schema
- Example - Digital asset
- Example - Fiat
Schema
- oneOf
- Digital asset
- Fiat
The Unix timestamp when the deposit was made.
1706609321000The asset you deposited on Bitvavo.
BTCThe quantity of the asset you deposited on Bitvavo.
0.99994The address where you deposited assets.
14qViLJfdGaP4EeHnDyJbEGQysnCpwk3gdThe unique identifier of the deposit. Returned if specified in the request.
10002653The unique identifier of the transaction on the blockchain.
927b3ea50c5bb52c6854152d305dfa1e27fc01d10464cf10825d96d69d235eb3
The Unix timestamp when the deposit was made.
1706609321000The currency you deposited on Bitvavo.
EURThe quantity of the asset you deposited on Bitvavo.
500The state of the deposit. Can be completed or canceled.
completedThe bank account from which the deposit was made. For example, NL89BANK0123456789.
NL89BANK0123456789{
"timestamp": 1706609321000,
"symbol": "BTC",
"amount": "0.99994",
"address": "14qViLJfdGaP4EeHnDyJbEGQysnCpwk3gd",
"paymentId": "10002653",
"txId": "927b3ea50c5bb52c6854152d305dfa1e27fc01d10464cf10825d96d69d235eb3\n",
"fee": "0.000063"
}
{
"timestamp": 1706609321000,
"symbol": "EUR",
"amount": "500",
"fee": "0",
"status": "completed",
"address": "NL89BANK0123456789"
}
For error codes, see Handle errors.